Subject: Re: bug#8681: 23.3; (gnus-face-from-file ...) bug in Gnus v5.13 on GNU Emacs 23.3.1 (i386-mingw-nt5.1.2600) on Windows XP Professional, Service Pack 3

From: "Benjamin L. Russell" <[email-masked]>
Date: Thu, 30 Jun 2011 06:56:40 -0700 (PDT)

> Eli Zaretskii <[email-masked]>
> writes:
> 
> > My guess is that the OP doesn't have Imagemagick
> installed, and so
> > convert.exe either is not on PATH or is some other
> program, not the
> > one expected by gnus-face-from-file.
> 
> Yup.  So I don't think this is a bug in Gnus.

FYI, I *do* have Imagemagick installed; I thought that I had noted this in a reply in that thread.  Therefore, it's certainly not a bug on my part.

> 
> And the built-in ImageMagick functions (which it could be
> using,
> theoretically) don't really allow you to do stuff like
> that, because it
> doesn't expose the required interface.  It's more
> display-oriented. 

Then this is a problem with the built-in ImageMagick functions, which should be changed to allow me to do stuff like that.

-- Benjamin L. Russell

--- On Thu, 6/30/11, Lars Magne Ingebrigtsen <[email-masked]> wrote:

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Subject: Re: bug#8681: 23.3; (gnus-face-from-file ...) bug in Gnus v5.13 on GNU Emacs 23.3.1 (i386-mingw-nt5.1.2600) on Windows XP Professional, Service Pack 3
> To: "Eli Zaretskii" <[email-masked]>
> Cc: "Glenn Morris" <[email-masked]>, [email-masked], [email-masked]
> Date: Thursday, June 30, 2011, 10:19 AM
> Eli Zaretskii <[email-masked]>
> writes:
> 
> > My guess is that the OP doesn't have Imagemagick
> installed, and so
> > convert.exe either is not on PATH or is some other
> program, not the
> > one expected by gnus-face-from-file.
> 
> Yup.  So I don't think this is a bug in Gnus.
> 
> And the built-in ImageMagick functions (which it could be
> using,
> theoretically) don't really allow you to do stuff like
> that, because it
> doesn't expose the required interface.  It's more
> display-oriented. 
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog http://lars.ingebrigtsen.no/
>